---
title: Inventory APIs
slug: cps-guide/mdm-epmm/inventory-apis
createdAt: 2026-10-06T07:45:20.604Z
---

## Get application inventory

This API returns the application inventory for the device identifier(s) specified in the request. This API consists of a command and optional payload (URL) that you can use to work with GUIDs instead of mdm-identifiers. This call silently ignores invalid device identifiers in the request.

:::hint{type="info"}
The app inventory response depends on the device mode on Android and data privacy permissionson on iOS.
:::

To enable this API call to retrieve Windows 10 device data on Ivanti EPMM, see [Enabling Windows 10 app inventory reporting on Ivanti EPMM](docId\:lL_PW3vNlPhifXIl6g-fF).

### HTTP Method

POST

### Request URI

/msa/v1/cps/device/application

### Request parameters

| Parameter      | Description                                                                                                                                                                                                                                 | Sample Value                                                |
| -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------- |
| identifiers    | Required<br />Parameter Type: Request body<br />**Data Type:** String<br />List of UEM identifiers in this format:<br />\{<br />"identifiers":\["mdm-id-1", "mdm-id-2"]<br />}<br />See [List of identifiers](docId:0FgXpF4sPOcu6M7eESvy1). | "identifiers": \["e428c618933372785b0641d053c562021ef9cd49" |
| identifierType | **Optional**<br />**Parameter Type:** Request body<br />**Data Type:** Enum<br />**Possible Values:** One of :<br />- MDM\_IDENTIFIER<br />- GUID<br />If not specified, the server assumes MDM identifiers.                                | "identifierType":"MDM\_IDENTIFIER"                          |

### Response fields

See [Application](docId\:DK5wUaGcE74hME-EUyNkR).

### Example request

```javascript
curl --location --request POST 'https://[Ivanti Neurons for MDM or Ivanti EPMM]/msa/v1/cps/device/application' \
--header 'Authorization: Basic <token>' \
--header 'Content-Type: application/json' \
--data-raw '{"identifiers": ["e428c618933372785b0641d053c562021ef9cd49"] }'
```

### Example response

```javascript
[
    {
        "deviceMdmId": "e428c618933372785b0641d053c562021ef9cd49", 
        "applications": [
            {
                "identifier": "com.apple.Keynote", 
                "name": "Keynote", 
                "version": "5.2.1", 
                "managed": false, 
                "source": "UNKNOWN_APP_TYPE", 
                "adHocCodeSigned": false, 
                "appStoreVendable": true, 
                "betaApp": false, 
                "deviceBasedVPP": false, 
                "externalVersionIdentifier": 832990878, 
                "updateAvailable": false, 
                "installing": false, 
                "validated": true, 
                "shortVersion": "5.2.1", 
                "bundleVersion": "6733"
            }, 
            {
                "identifier": "com.apple.Numbers", 
                "name": "Numbers", 
                "version": "5.2.1", 
                "managed": false, 
                "source": "UNKNOWN_APP_TYPE", 
                "adHocCodeSigned": false, 
                "appStoreVendable": true, 
                "betaApp": false, 
                "deviceBasedVPP": false, 
                "externalVersionIdentifier": 832990870, 
                "updateAvailable": false, 
                "installing": false, 
                "validated": true, 
                "shortVersion": "5.2.1", 
                "bundleVersion": "6733"
            }
        ]
    }
]
```

